package com.zj365.mime.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.PrevBean
import com.xty.network.model.RespBody

class ElectronicVm: BaseVm() {
    val timeTaskLive by lazy { MutableLiveData<String>() }
    val prevLive by lazy{ MutableLiveData<RespBody<PrevBean>>() }
    //6  服务协议
    fun getPrev(type:Int){
        startHttp {
            var response=apiInterface().getPrev(type)
            response.getCodeStatus(prevLive,nowData)
        }
    }
}